MimeMessage.RecipientType (JavaMail API documentation)
Date: 2019-08-31

javax.mail.internet

## Class MimeMessage.RecipientType

- java.lang.Object
- - javax.mail.Message.RecipientType
  - - javax.mail.internet.MimeMessage.RecipientType

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    MimeMessage

      public static class MimeMessage.RecipientType
      extends Message.RecipientType

  This inner class extends the javax.mail.Message.RecipientType class to add additional RecipientTypes. The one additional RecipientType currently defined here is NEWSGROUPS.
  See Also:
    `Message.RecipientType`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MimeMessage.RecipientType` | `NEWSGROUPS` The "Newsgroup" (Usenet news) recipients.

    - ### Fields inherited from class javax.mail.Message.RecipientType

      `BCC, CC, TO, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RecipientType(java.lang.String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `readResolve()` When deserializing a RecipientType, we need to make sure to return only one of the known static final instances defined in this class.

    - ### Methods inherited from class javax.mail.Message.RecipientType

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NEWSGROUPS

          public static final MimeMessage.RecipientType NEWSGROUPS

      The "Newsgroup" (Usenet news) recipients.

  - ### Constructor Detail

    - #### RecipientType

          protected RecipientType(java.lang.String type)

  - ### Method Detail

    - #### readResolve

          protected java.lang.Object readResolve()
                                          throws java.io.ObjectStreamException

      Description copied from class: `Message.RecipientType`
      When deserializing a RecipientType, we need to make sure to return only one of the known static final instances defined in this class. Subclasses must implement their own `readResolve` method that checks for their known instances before calling this super method.
      Overrides:
        `readResolve` in class `Message.RecipientType`
      Throws:
        `java.io.ObjectStreamException`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.